//  Node
//         

#include <stdio.h>
#include <string.h>

class Node
{
	char *data;				//   
	Node *next;				//    

public:

	Node (char *s)			// 
	{
		data = strcpy(new char[strlen(s)+1], s);
		next = NULL;
	}
							// 
	void GetData()
	{
		puts (this->data);
	}
	
	void SetNextTo (Node& n)
	{
		n.next = this;
	}
	
	Node* GetNext() { return next; }
	
	~Node()					// 
	{
		puts("\nDeleting data"); delete data;
	}
};

void main ()				//   Node
{
	Node n1("First"), n2("Second");
	n1.GetData();
	n2.GetData();
	n2.SetNextTo(n1);
	n1.GetNext()->GetData();
}
