//  Resistors
//         

#include <stdio.h>
#include <conio.h>

class Resistors
{
	double r;
	void assign (double rs) { r=rs; }	// Private-
public:
	Resistors (double rs) { r=rs; }		//   
	Resistors () { assign(100.); }		//   
	
	double parallel (Resistors q)
	{ return (q.r*r/(q.r+r)); }
	
	double series (Resistors q)
	{ return (r+q.r); }
	
	void pr () { printf ("r = %6.1f",r); }
	
	~Resistors() { printf("\nDestructor invoked"); }
};

void main ()
{
	Resistors r1 (500), r2 (1000), r3;
	printf ("\n Class Resistors Demo\n");
	printf ("\n R1: ");			r1.pr();
	printf ("\n R2: ");			r2.pr();
	printf ("\n R3: ");			r3.pr();
	printf ("\n R1 + R2 = %6.1f\n R1 || R2 =%6.1f\n",
			r1.series(r2), r1.parallel(r2));
			
	//   
	Resistors many[6];
	
	puts("\n Array resistors\n");
	for (int i=0; i<2; i++,putch('\n'))
		many[i].pr();
}
