//  

#include <iostream.h>

template <class T> class Vector
{					//   "  "
	T *data;		//    
	int size;		//  
public:
	Vector(int);
	~Vector() { delete[] data; }
	T& operator [](int i) { return data[i]; }
};
							
template <class T> Vector<T>::Vector(int n)
{					//    
	data = new T[n];
	size=n;
};

typedef int (*Tfunc)(int);

class Vector <Tfunc>
{
	Tfunc *data;
	int size;
public:
	Vector (int, Tfunc);
	~Vector () { delete [] data; }
	Tfunc& operator [] (int i) { return data[i]; }
};

Vector <Tfunc> :: Vector (int n, Tfunc f)
{
	size = n;  
	data = new Tfunc[n];
	for (int i=0; i<n; i++)
		data[i]=f;
}

class Circle		//   
{
	int x, y, r;
public:				//  
	Circle ()
	{
		x=y=r=0;
	}
	Circle (int a, int b, int c)
	{
		x=a; y=b; r=c;
	}
	double area() { return 3.14159*r*r; }
};

int func (int j)
{
	int i=j%2;
	cout<<"\n func: j= "<<j<<"  i= ";
	return i;
}

void main()
{
	Vector <int> x(5);			//   
	int i;
	for (i=0; i<5; ++i)
		x[i]=i;					// 
	for (i=0; i<5; ++i)
		cout<<x[i]<<' ';		// 
	cout << '\n';

	Vector <float> y(10);		//   
	for (i=0; i<10; ++i)
		y[i] = float(i);		// 
	for (i=0; i<10; ++i)
		cout<<y[i]<<' ';		// 
	cout << '\n';								
	
	Vector <Circle> z(4);		//     Circle
	for (i=0; i<4; ++i)			// 
		z[i] = Circle(i+100,i+100,i+20);
	for (i=0; i<4; ++i)			// 
		cout<< z[i].area() << ' ';
	cout << '\n';

	Vector <Tfunc> ff (5,func);	//     
	for (i=0; i<5; ++i)
		cout << ff[i](i) << ' ';

	cout << "\n\n";
}
